Fulfill an order

Definition

This endpoint will allow you to fulfill an order.

A request can be sent for one single order.

Mark the order as handled as soon as you have shipped the item.
By running this call, you will set the order field state to fulfilled.

Any order that has already been cancelled cannot be fulfilled.

Request query parameter

ParameterDescriptionRequired
order_idUnique ID for the order you want to fulfillYes

Adding tracking information

If available the tracking information should be supplied in the body. For each object in the Tracking Information list the Tracking Number is required but Carrier is optional to supply.

Example body with tracking information

{
    "tracking_information": [
        {
            "carrier_name": "Postnord",
            "tracking_number": "abc123"
        },
        {
            "carrier_name": null,
            "tracking_number": "def456"
        },
        {
            "tracking_number": "ghi789"
        }
    ]
}

Response

{
    "description": "Order row was fulfilled"
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique ID for the order you want to fulfill

Body Params
tracking_information
array of objects
tracking_information
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json